Summary:        A library for registering global keyboard shortcuts
Name:           keybinder3
Version:        0.3.2
Release:        7%{?dist}
License:        MIT
URL:            https://github.com/kupferlauncher/keybinder
Source0:        %{url}/releases/download/keybinder-3.0-v%{version}/keybinder-3.0-%{version}.tar.gz
Patch0001:      fix_gtkdoc.patch

BuildRequires:  make
BuildRequires:  pkgconfig(gtk+-3.0), gobject-introspection-devel

%description
This library can be used to register global keyboard shortcuts, and it can work with 
GTK-based applications using the X Window System.
The library contains a C library, libkeybinder and gobject-Introspection bindings.

%package devel
Summary: Development files for keybinder3
Requires: keybinder3 = %{version}-%{release}
%description devel
This package contains the development libraries and header files for keybinder3.

%prep
%autosetup -p1 -n keybinder-3.0-%{version}

%build
%configure --disable-gtk-doc
%make_build

%install
%make_install
rm -rf %{buildroot}/%{_libdir}/libkeybinder-3.0.la

%files
%license COPYING
%doc NEWS AUTHORS README
%{_libdir}/libkeybinder-3.0.so.*
%{_libdir}/girepository-1.0/Keybinder-3.0.typelib

%files devel
%dir %{_includedir}/keybinder-3.0/
%{_includedir}/keybinder-3.0/keybinder.h
%{_libdir}/pkgconfig/keybinder-3.0.pc
%{_libdir}/libkeybinder-3.0.so
%{_datadir}/gir-1.0/Keybinder-3.0.gir
%dir %{_datadir}/gtk-doc/html/keybinder-3.0/
%{_datadir}/gtk-doc/html/keybinder-3.0/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 13 2022 Wang Guodong <gordonwwang@tencent.com> - 0.3.2-2
- Remove the dependence on devhelp.

* Wed Aug 31 2022 Wang Guodong <gordonwwang@tencent.com> - 0.3.2-1
- package init.
